Description: Disable the Internet access
 Disable the Internet access during build and test. The Debian package
 should never assume that Internet access is available during building.
Author: Jongmin Kim <jmkim@pukyong.ac.kr>
---
 detect_bitbucket_test.go |    8 +++++---
 get_git_test.go          |   16 +++++++++++++++-
 get_hg_test.go           |   10 ++++++++--
 get_s3_test.go           |   22 ++++++++++++++++++++--
 4 files changed, 48 insertions(+), 8 deletions(-)
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/detect_bitbucket_test.go
+++ b/detect_bitbucket_test.go
@@ -1,13 +1,14 @@
 package getter
 
 import (
-	"net/http"
-	"strings"
-	"testing"
+	//"net/http"
+	//"strings"
+	//"testing"
 )
 
 const testBBUrl = "https://bitbucket.org/hashicorp/tf-test-git"
 
+/*
 func TestBitBucketDetector(t *testing.T) {
 	t.Parallel()
 
@@ -65,3 +66,4 @@
 		}
 	}
 }
+*/
--- a/get_git_test.go
+++ b/get_git_test.go
@@ -1,7 +1,7 @@
 package getter
 
 import (
-	"encoding/base64"
+	//"encoding/base64"
 	"io/ioutil"
 	"net/url"
 	"os"
@@ -24,6 +24,7 @@
 	var _ Getter = new(GitGetter)
 }
 
+/*
 func TestGitGetter(t *testing.T) {
 	if !testHasGit {
 		t.Log("git not found, skipping")
@@ -47,7 +48,9 @@
 		t.Fatalf("err: %s", err)
 	}
 }
+*/
 
+/*
 func TestGitGetter_branch(t *testing.T) {
 	if !testHasGit {
 		t.Log("git not found, skipping")
@@ -86,7 +89,9 @@
 		t.Fatalf("err: %s", err)
 	}
 }
+*/
 
+/*
 func TestGitGetter_branchUpdate(t *testing.T) {
 	if !testHasGit {
 		t.Log("git not found, skipping")
@@ -129,7 +134,9 @@
 		t.Fatalf("err: %s", err)
 	}
 }
+*/
 
+/*
 func TestGitGetter_tag(t *testing.T) {
 	if !testHasGit {
 		t.Log("git not found, skipping")
@@ -168,7 +175,9 @@
 		t.Fatalf("err: %s", err)
 	}
 }
+*/
 
+/*
 func TestGitGetter_GetFile(t *testing.T) {
 	if !testHasGit {
 		t.Log("git not found, skipping")
@@ -193,6 +202,7 @@
 	}
 	assertContents(t, dst, "hello")
 }
+*/
 
 func TestGitGetter_gitVersion(t *testing.T) {
 	dir, err := ioutil.TempDir("", "go-getter")
@@ -227,6 +237,7 @@
 	}
 }
 
+/*
 func TestGitGetter_sshKey(t *testing.T) {
 	if !testHasGit {
 		t.Log("git not found, skipping")
@@ -253,7 +264,9 @@
 		t.Fatalf("err: %s", err)
 	}
 }
+*/
 
+/*
 func TestGitGetter_submodule(t *testing.T) {
 	if !testHasGit {
 		t.Log("git not found, skipping")
@@ -295,6 +308,7 @@
 		}
 	}
 }
+*/
 
 func TestGitGetter_setupGitEnv_sshKey(t *testing.T) {
 	if runtime.GOOS == "windows" {
--- a/get_hg_test.go
+++ b/get_hg_test.go
@@ -1,9 +1,9 @@
 package getter
 
 import (
-	"os"
+	//"os"
 	"os/exec"
-	"path/filepath"
+	//"path/filepath"
 	"testing"
 )
 
@@ -19,6 +19,7 @@
 	var _ Getter = new(HgGetter)
 }
 
+/*
 func TestHgGetter(t *testing.T) {
 	if !testHasHg {
 		t.Log("hg not found, skipping")
@@ -39,7 +40,9 @@
 		t.Fatalf("err: %s", err)
 	}
 }
+*/
 
+/*
 func TestHgGetter_branch(t *testing.T) {
 	if !testHasHg {
 		t.Log("hg not found, skipping")
@@ -75,7 +78,9 @@
 		t.Fatalf("err: %s", err)
 	}
 }
+*/
 
+/*
 func TestHgGetter_GetFile(t *testing.T) {
 	if !testHasHg {
 		t.Log("hg not found, skipping")
@@ -96,3 +101,4 @@
 	}
 	assertContents(t, dst, "Hello\n")
 }
+*/
--- a/get_s3_test.go
+++ b/get_s3_test.go
@@ -3,10 +3,10 @@
 import (
 	"net/url"
 	"os"
-	"path/filepath"
+//	"path/filepath"
 	"testing"
 
-	"github.com/aws/aws-sdk-go/aws/awserr"
+//	"github.com/aws/aws-sdk-go/aws/awserr"
 )
 
 func init() {
@@ -25,6 +25,7 @@
 	var _ Getter = new(S3Getter)
 }
 
+/*
 func TestS3Getter(t *testing.T) {
 	g := new(S3Getter)
 	dst := tempDir(t)
@@ -42,7 +43,9 @@
 		t.Fatalf("err: %s", err)
 	}
 }
+*/
 
+/*
 func TestS3Getter_subdir(t *testing.T) {
 	g := new(S3Getter)
 	dst := tempDir(t)
@@ -60,7 +63,9 @@
 		t.Fatalf("err: %s", err)
 	}
 }
+*/
 
+/*
 func TestS3Getter_GetFile(t *testing.T) {
 	g := new(S3Getter)
 	dst := tempFile(t)
@@ -78,7 +83,9 @@
 	}
 	assertContents(t, dst, "# Main\n")
 }
+*/
 
+/*
 func TestS3Getter_GetFile_badParams(t *testing.T) {
 	g := new(S3Getter)
 	dst := tempFile(t)
@@ -95,7 +102,9 @@
 		t.Fatalf("expected InvalidAccessKeyId error")
 	}
 }
+*/
 
+/*
 func TestS3Getter_GetFile_notfound(t *testing.T) {
 	g := new(S3Getter)
 	dst := tempFile(t)
@@ -107,7 +116,9 @@
 		t.Fatalf("expected error, got none")
 	}
 }
+*/
 
+/*
 func TestS3Getter_ClientMode_dir(t *testing.T) {
 	g := new(S3Getter)
 
@@ -121,7 +132,9 @@
 		t.Fatal("expect ClientModeDir")
 	}
 }
+*/
 
+/*
 func TestS3Getter_ClientMode_file(t *testing.T) {
 	g := new(S3Getter)
 
@@ -135,7 +148,9 @@
 		t.Fatal("expect ClientModeFile")
 	}
 }
+*/
 
+/*
 func TestS3Getter_ClientMode_notfound(t *testing.T) {
 	g := new(S3Getter)
 
@@ -153,7 +168,9 @@
 		t.Fatal("expect ClientModeFile")
 	}
 }
+*/
 
+/*
 func TestS3Getter_ClientMode_collision(t *testing.T) {
 	g := new(S3Getter)
 
@@ -168,6 +185,7 @@
 		t.Fatal("expect ClientModeFile")
 	}
 }
+*/
 
 func TestS3Getter_Url(t *testing.T) {
 	var s3tests = []struct {
